### Class

# Foundry Diagnostic

#### Description [src]

    final class Foundry.Diagnostic : GObject.Object
    {
      /* No available fields */
    }

Represents a single diagnostic.

#### Ancestors

- GObject

#### Functions

###### foundry_diagnostic_hash

No description available.

#### Instance methods

###### foundry_diagnostic_compare

No description available.

###### foundry_diagnostic_dup_file

No description available.

###### foundry_diagnostic_dup_markup

Get the markup for the diagnostic, if any.

###### foundry_diagnostic_dup_message

Gets the message for the diagnostic, if any.

###### foundry_diagnostic_dup_path

Gets the path for the diagnostic, if any.

###### foundry_diagnostic_dup_rule_id

Gets the `FoundryDiagnostic:rule-id` property.

since: 1.1

###### foundry_diagnostic_equal

No description available.

###### foundry_diagnostic_get_line

Gets the line number of the diagnostic.

###### foundry_diagnostic_get_line_offset

Gets the offset within the line of the diagnostic.

###### foundry_diagnostic_get_severity

No description available.

###### foundry_diagnostic_has_fix

No description available.

since: 1.1

###### foundry_diagnostic_list_fixes

Gets the available `FoundryDiagnosticFix` for the diagnostic.

since: 1.1

###### foundry_diagnostic_list_ranges

Gets the available ranges as a `GListModel` of `FoundryDiagnosticRange`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.Diagnostic:file

No description available.

###### Foundry.Diagnostic:has-fix

No description available.

###### Foundry.Diagnostic:line

No description available.

###### Foundry.Diagnostic:line-offset

No description available.

###### Foundry.Diagnostic:markup

No description available.

###### Foundry.Diagnostic:message

No description available.

###### Foundry.Diagnostic:path

No description available.

###### Foundry.Diagnostic:ranges

No description available.

###### Foundry.Diagnostic:rule-id

The “rule-id” property is an identifier to the type of rule for the diagnostic.

since: 1.1

###### Foundry.Diagnostic:severity

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDiagnosticClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.